- Timestamp:
- 2011-01-04T00:06:46Z (14 years ago)
- Branches:
- master
- Children:
- c12a5c8
- Parents:
- bb0775c (diff), dc3f9ef (diff)
Note: this is a merge changeset, the changes displayed below correspond to the merge itself.
Use the(diff)
links above to see all the changes relative to each parent. - Location:
- skype/t
- Files:
-
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
skype/t/Makefile
rbb0775c r6f5ab2a 15 15 $(tests): % : %.test 16 16 @echo "--- Running test $@ ---"; \ 17 if ! ./livetest-bitlbee.sh $(BITLBEE) $(PORT) irssi/livetest-irssi.sh $< >$@.log; then \ 17 if [ -r "$(BITLBEE)" -a -x "$(BITLBEE)" ]; then \ 18 bitlbee_binary="$(BITLBEE)"; \ 19 else \ 20 bitlbee_basename=`basename $(BITLBEE)`; \ 21 bitlbee_binary=`which $$bitlbee_basename`; \ 22 fi; \ 23 if ! ./livetest-bitlbee.sh "$$bitlbee_binary" $(PORT) irssi/livetest-irssi.sh $< >$@.log; then \ 18 24 echo Test failed, log: ;\ 19 25 cat $@.log;\ -
skype/t/irssi/livetest-irssi.sh
rbb0775c r6f5ab2a 1 #!/ bin/bash1 #!/usr/bin/env bash 2 2 ISCRIPT=$1 3 3 OPT=$2 … … 79 79 80 80 submitlogs() { 81 sed-i -e "s/$TESTLOGIN/---TESTLOGIN---/;s/$TESTPASSWORD/---TESTPASSWORD---/" dotirssi/logs/*.log81 perl -p -i -e "s/$TESTLOGIN/---TESTLOGIN---/;s/$TESTPASSWORD/---TESTPASSWORD---/" dotirssi/logs/*.log 82 82 83 83 if [ "$OPT" == "tgz" ]; then -
skype/t/livetest-bitlbee.sh
rbb0775c r6f5ab2a 1 #!/ bin/bash1 #!/usr/bin/env bash 2 2 BITLBEE=$1 3 3 typeset -ix PORT=`echo $2 | egrep '^[0-9]{1,5}$'` … … 18 18 kill -0 `cat bitlbeetest.pid 2>/dev/null ` 2>/dev/null || { echo Failed to run bitlbee daemon on port $PORT; exit 1; } 19 19 20 # Set up skyped 20 if [ -z "$TUNNELED_MODE" ]; then 21 # Set up skyped 21 22 22 rm -rf etc 23 mkdir etc 24 cd etc 25 cp ../../skyped.cnf . 26 cp ~/.skyped/skyped.cert.pem . 27 cp ~/.skyped/skyped.key.pem . 28 cd .. 29 echo "[skyped]" > skyped.conf 30 echo "username = $TEST_SKYPE_ID" >> skyped.conf 31 echo "password = $(echo -n $TEST_SKYPE_PASSWORD|sha1sum|sed 's/ *-$//')" >> skyped.conf 32 # we use ~ here to test that resolve that syntax works 33 echo "cert = $(pwd|sed "s|$HOME|~|")/etc/skyped.cert.pem" >> skyped.conf 34 echo "key = $(pwd|sed "s|$HOME|~|")/etc/skyped.key.pem" >> skyped.conf 35 echo "port = 2727" >> skyped.conf 23 rm -rf etc 24 mkdir etc 25 cd etc 26 cp ../../skyped.cnf . 27 cp ~/.skyped/skyped.cert.pem . 28 cp ~/.skyped/skyped.key.pem . 29 cd .. 30 echo "[skyped]" > skyped.conf 31 echo "username = $TEST_SKYPE_ID" >> skyped.conf 32 SHA1=`which sha1sum` 33 if [ -z "$SHA1" ]; then 34 SHA1=`which sha1` 35 fi 36 if [ -z "$SHA1" ]; then 37 echo Test failed 38 echo "(Can't compute password for skyped.conf)" 39 exit 77 40 fi 41 echo "password = $(echo -n $TEST_SKYPE_PASSWORD|$SHA1|sed 's/ *-$//')" >> skyped.conf 42 # we use ~ here to test that resolve that syntax works 43 echo "cert = $(pwd|sed "s|$HOME|~|")/etc/skyped.cert.pem" >> skyped.conf 44 echo "key = $(pwd|sed "s|$HOME|~|")/etc/skyped.key.pem" >> skyped.conf 45 echo "port = 2727" >> skyped.conf 36 46 37 # Run skyped 38 python ../skyped.py -c skyped.conf -l skypedtest.log > skypedtest.pid 39 sleep 2 47 # Run skyped 48 python ../skyped.py -c skyped.conf -l skypedtest.log > skypedtest.pid 49 sleep 2 50 fi 51 52 if [ "$TUNNELED_MODE" = "yes" ]; then 53 rm -f tunnel.pid 54 if [ -n "$TUNNEL_SCRIPT" ]; then 55 $TUNNEL_SCRIPT & 56 echo $! > tunnel.pid 57 sleep 5 58 fi 59 fi 40 60 41 61 # Run the test … … 44 64 RET=$? 45 65 46 # Kill skyped 47 killall -TERM skype 48 kill -TERM $(sed 's/.*: //' skypedtest.pid) 66 if [ -z "$TUNNELED_MODE" ]; then 67 # skyped runs on another host: no means to kill it 68 # Kill skyped 69 killall -TERM skype 70 kill -TERM $(sed 's/.*: //' skypedtest.pid) 71 fi 72 73 if [ "$TUNNELED_MODE" = "yes" ]; then 74 if [ -n "$TUNNEL_SCRIPT" ]; then 75 cat tunnel.pid >> /tmp/tunnel.pid 76 kill `cat tunnel.pid` 77 rm -f tunnel.pid 78 fi 79 fi 49 80 50 81 # Kill bee 51 82 echo Killing bitlbee... 52 83 kill `cat bitlbeetest.pid` 84 85 if [ "$TUNNELED_MODE" = "yes" ]; then 86 # give the skyped a chance to timeout 87 sleep 30 88 fi 53 89 54 90 # Return test result
Note: See TracChangeset
for help on using the changeset viewer.